package com.srs.stureg.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.stureg.domain.SrsStuSize;
import com.srs.stureg.domain.VO.SrsStuSizeVo;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 学生尺码Service接口
 *
 * @author srs
 * @date 2024-03-31
 */
public interface ISrsStuSizeService extends IService<SrsStuSize> {


    public AjaxResult submitOwnSize(SrsStuSize param);

    public AjaxResult getStuSize(String ksh);

    /**
     * 查询学生尺码
     *
     * @param id 学生尺码主键
     * @return 学生尺码
     */
    public SrsStuSize selectSrsStuSizeById(Long id);

    /**
     * 查询学生尺码列表
     *
     * @param srsStuSize 学生尺码
     * @return 学生尺码集合
     */
    List<SrsStuSize> selectSrsStuSizeList(SrsStuSize srsStuSize);

    /**
     * 新增学生尺码
     *
     * @param srsStuSize 学生尺码
     * @return 结果
     */
    int insertSrsStuSize(SrsStuSize srsStuSize);

    /**
     * 修改学生尺码
     *
     * @param srsStuSize 学生尺码
     * @return 结果
     */
    int updateSrsStuSize(SrsStuSize srsStuSize);

    /**
     * 批量删除学生尺码
     *
     * @param ids 需要删除的学生尺码主键集合
     * @return 结果
     */
    int deleteSrsStuSizeByIds(Long[] ids);

    /**
     * 删除学生尺码信息
     *
     * @param id 学生尺码主键
     * @return 结果
     */
    int deleteSrsStuSizeById(Long id);

    List<SrsStuSizeVo> selectSrsStuSizeListVo(SrsStuSizeVo srsStuSize);
}
